Name:           RutilT
Version:        0.15
Release:        1%{?dist}
Summary:        Diagnostic tools for Ralink Wireless devices
Group:	        System Environment/Base
License:        GPL
URL:            http://cbbk.free.fr/bonrom/
Source0:        http://cbbk.free.fr/bonrom/files/RutilTv%{version}.tar.gz
Patch0:         RutilTv0.15-configure.patch
Patch1:         RutilTv0.15-no_silent.patch
Patch2:         RutilTv0.15-destdir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  kernel-headers
BuildRequires:  openssl-devel

Requires:       usermode

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils


%description
RutilT should work with any Linux wireless extension compliant kernel module.
It also features special support for rt2400, rt2500 and rt2570 devices.


%prep
%setup -q -n RutilTv%{version}
%patch0 -p1 -b .config
%patch1 -p1 -b .no_silent
%patch2 -p1 -b .destdir

install -pm 0644 art/COPYING COPYING-art
sed -i 's/\r//' COPYING-art


%build
sh configure.sh					\
  --prefix=%{_prefix}				\
  --launcher=external

make %{?_smp_mflags} OPTIONS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora		\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications	\
  --delete-original				\
  --mode 644					\
  rutilt.desktop

cat > rutilt.pam <<EOF
#%PAM-1.0
auth       include	system-auth
account    include	system-auth
password   include	system-auth
session    optional	pam_keyinit.so revoke
session    required	pam_limits.so
EOF

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
install -m 0644 rutilt.pam $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/rutilt
mkdir -p $RPM_BUILD_ROOT%{_bindir}
ln -sf consolehelper $RPM_BUILD_ROOT%{_bindir}/rutilt


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null || :

%postun
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null || :


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL README COPYING-art
%config %{_sysconfdir}/pam.d/rutilt
%{_bindir}/rutilt 
%{_sbindir}/rutilt_helper
%dir %{_datadir}/rutilt
%{_datadir}/rutilt/set_ip.sh
%{_datadir}/rutilt/helper_launcher.sh
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_mandir}/man1/*.1.gz

%changelog
* Fri Jul  6 2007 kwizart < kwizart at gmail.com > - 0.15-1
- Update to 0.15

* Tue May  8 2007 kwizart < kwizart at gmail.com > - 0.14-3
- Remove strip command
- rebuild for Fedora 7
- Pam rules from sudo pam.d
- Let makefile find the kernel path

* Tue May  8 2007 kwizart < kwizart at gmail.com > - 0.14-2
- Fix pixmaps and do pam

* Tue Apr 17 2007 kwizart < kwizart at gmail.com > - 0.14-1
- Update to 0.14b

* Wed Nov 8 2006 kwizart < kwizart at gmail.com > - 0.13-4.fc6
- Update to 0.13

* Wed Sep 13 2006 kwizart < kwizart at gmail.com > - 0.12-4_FC5
- rutil_helper is now setuid to allow root operations.
  (warning - potencial security risk!)
- rutil_helper and set_ip are now in sbindir - because they should
  not be in the normal user PATH.

* Fri Sep 08 2006 kwizart < kwizart at gmail.com > - 0.12-3_FC5
- Search wireless extensions header from kernel 2.6.17-1_2174_FC5.
- Fixed rutilt_helper & set_ip.sh in the right place.

* Fri Aug 18 2006 kwizart < kwizart at gmail.com > - 0.12-2_FC5
- For Extra release.
- Update to 0.12.

* Tue Aug 10 2006 kwizart < kwizart at gmail.com > - 0.11-1.kwizart.FC5
- Inital release. 
